// Задача "Обобщенные числа-близнецы"
// 4-ая Интернет-олимпиада сезона 2007-2008, базовый уровень
// Автор задачи: Владимир Ульянцев, ulyantsev@rain.ifmo.ru
// Автор решения: Сергей Поромов, poromov@rain.ifmo.ru

import java.io.*;
import java.util.*;

public class twins_sp implements Runnable {

	public static void main(String[] args) {
		new Thread(new twins_sp()).run();
	}

	public void run() {
		try {
			Locale.setDefault(Locale.US);
			br = new BufferedReader(new FileReader(FILENAME + ".in"));
			out = new PrintWriter(FILENAME + ".out");
			solve();
			out.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	BufferedReader br;

	PrintWriter out;

	StringTokenizer st;

	String nextToken() throws IOException {
		while (st == null || !st.hasMoreTokens()) {
			st = new StringTokenizer(br.readLine());
		}
		return st.nextToken();
	}

	int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	void myAssert(boolean e, String s) {
		if (!e) {
			throw new Error("Assertion failure " + s);
		}
	}

	void inBounds(int x, int l, int r, String s) {
		myAssert(l <= x && x <= r, "Wrong value of " + s);
	}

	private static final String FILENAME = "twins";
	
	final int MAXN = (int) 1e6; 

	public void solve() throws IOException {
		int n = nextInt();
		int k = nextInt();
		inBounds(n, 1, MAXN, "n");
		inBounds(k, 1, MAXN, "k");
		boolean[] np = new boolean[n + 1];
		for (int i = 2; i <= n; i++) {
			if (!np[i]) {
				int j = 2 * i;
				while (j < np.length) {
					np[j] = true;
					j += i;
				}
			}
		}
		int ans = 0;
		for (int i = 2 + k; i <= n; i++) {
			if (!np[i] && !np[i - k]) {
				ans++;
			}
		}
		out.println(ans);
	}
}
